%global _empty_manifest_terminate_build 0
Name:		python-curio
Version:	1.6
Release:	2
Summary:	Curio
License:	BSD-3-Clause
URL:		https://github.com/dabeaz/curio
Source0:	https://files.pythonhosted.org/packages/e9/d9/ed3d361fea04f3300eb69a23d97aa1be003c9dab0e5b10244fef0ad2c1ba/curio-1.6.tar.gz
BuildArch:	noarch

%description
Curio is a coroutine-based library for concurrent systems programming.

%package -n python3-curio
Summary:	Curio
Provides:	python-curio = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Patch0001:	0001-Add-support-for-Python-3.12.patch		
%description -n python3-curio
Curio is a coroutine-based library for concurrent systems programming.

%package help
Summary:	Development documents and examples for curio
Provides:	python3-curio-doc
%description help
Curio is a coroutine-based library for concurrent systems programming.

%prep
%autosetup -n curio-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-curio -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu May 9 2024 tenglei <tenglei@kylinos.cn> - 1.6-2
- change-incorrect-README.rst
- add support for python 3.12

* Fri Dec 16 2022 liqiuyu <liqiuyu@kylinos.cn> - 1.6-1
- Update package to version 1.6

* Mon Jul 05 2021 liliang <liliang@kylinos.cn> - 1.5-1
- Init project
